<!DOCTYPE html>
<html lang="en"
      xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Ändra bokning</title>
    <link rel="stylesheet" th:href="@{/css/styles.css}" href="../static/css/styles.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="shorcut icon" th:href="@{/img/favicon.ico}" />
    <!-- Font -->
    <!--    <link href="https://fonts.googleapis.com/css?family=Raleway:400,600,700,900" rel="stylesheet">-->
</head>
<body class="body-css">
<header class="d-flex justify-content-between px-3 py-3 mb-4 border-bottom bg-white">
    <div class="nav-item nav-pills">
        <a href="#" class="d-flex align-items-start nav-link border border-dark mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
            <h1>StädaFint AB</h1>
        </a>
    </div>


    <div class="mr-10 mt-3 ">
        <ul class="nav nav-pills ">
            <li class="nav-item ">
                <a th:href="@{/booking}" class="nav-link border border-primary">Bokningar</a>
            </li>
            <li class="nav-item ">
                <a th:href="@{/mina_sidor}" class="nav-link border border-primary">Mina sidor</a>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link border border-primary">Review</a>

            </li>
            <li class="nav-item">
                <a href="#" class="nav-link border border-primary">Om</a>

            </li>
            <li class="nav-item">
                <a th:href="@{/accounts/login}" class="nav-link border border-primary">Logout</a>

            </li>
        </ul>
    </div>

</header>
<div class="inner-body">
    <div class="container-css">

        <div class="container-form-css">
            <form th:action="@{/booking/update}" method="post" th:object="${booking}">
                <input type="hidden" th:field="*{bookingId}">
                <input type="hidden" th:field="${accounts}">
                <h2 class="heading-css">Ändra bokning</h2>

                <div class="form-field-css">
                    <p>Datum</p>
                    <input type="date" th:field="*{date}">
                </div>
                <div class="form-field-css">
                    <p>Tider</p>
                    <input type="time" th:field="*{time}">
                </div>
                <div class="form-field-css">
                    <p>Välj din städning!</p>
                    <select name="select"  th:field="*{selection}">
                        <option value="Basic städning">Basic städning</option>
                        <option value="Topp städning">Topp städning</option>
                        <option value="Diamant städning">Diamant städning</option>
                        <option value="Fönstertvätt">Fönstertvätt</option>
                    </select>
                </div>

                <button type="submit" class="btn-css">Ändra</button>
            </form>
        </div>
    </div>


    <div class="container-css">

        <div class="container-form-css">

            <h2 class="heading-css heading-yellow-css">Bokningar</h2>

            <div>
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th>Bokad Städning</th>
                        <th>Tid</th>
                        <th>Datum</th>
                        <th>Avboka</th>
                        <th>Ändra</th>
                    </tr>
                    </thead>
                    <tbody>
                    <th:block th:each="booking : ${listBookings}">

                        <tr >
                            <td>[[${booking.selection}]]</td>
                            <td>[[${booking.time}]]</td>
                            <td>[[${booking.date}]]</td>
                            <td style="text-align: center" >
                                <a th:href="@{'booking/delete/' + ${booking.bookingId}}">
                                    <button type="submit"  class="btn btn-outline-danger " >
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-x-square" viewBox="0 0 16 16">
                                            <path d="M14 1a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
                                            <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                                        </svg>
                                    </button>

                                </a>
                            </td>
                            <td style="text-align: center"  >
                                <a th:href="@{'booking/edit/' + ${booking.bookingId}}">
                                    <button type="submit" class="btn btn-outline-warning " >

                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-pencil-square" viewBox="0 0 16 16">
                                            <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                                            <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                                        </svg>
                                    </button>
                                </a>
                            </td>
                        </tr>
                    </th:block>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>


</body>
</html>